%
% calculates the bins (ie estimates the distribution) for a random
% variable the samples of which are given in the collumn vector v.
% The number of bins used is given by B, and the range that the bins
% span is given by 0 to k, so that the variable is assumed to be
% positive

function [bin,support,et1] = binit2(v,B,k);

% first we divide and round, then we shift up and put all the negatives in
% bin 1

time0=clock;

n=length(v);
bin=zeros(1,B);
vones=ones(n,1); % chose to put lows in lowest bin (bin 1)
vhuns=vones+B-1; % chose to put highs in highest bin (bin B)

vs=round(v*(B-1)/k)+1; % bin(1) corresponds to k/(2*B)
vs(vs<vones)=vones(vs<vones); % put lows in bin 1
vs(vs>vhuns)=vhuns(vs>vhuns); % put highs in bin B
for l=1:n,
   bin(vs(l))=bin(vs(l)) + 1;
end;

%bin = (bin(1:B) + [bin(B-1:-1:1) bin(B)])/2 % symetrize

support=linspace(0,k,B);

et1=etime(clock,time0)/60;

