
%
%  process output from emeas.cc  (SSE and SME versions)
%

%----------------------------------------------------
%  Measuerement via a spin system (cpb) without noise 
%----------------------------------------------------

k = 4;   % measurement rate from emeas.cc 

flname = 'emeas'; 
eval(['load sse/' flname '.dat']);
eval(['series = ' flname ';']);
eval(['clear ' flname]);

t = series(:,1)*k;
Er = series(:,3);
Ep = series(:,4);
Vr = series(:,5); 
clear series

figure(1);
  subplot(2,1,1);
  plot(t,Er,'b'); hold on
  title('Phonon Number for the Nano-mechanical Resonator','fontsize',[16]);
  ylabel('\langle N \rangle','fontsize',[14]);
  axis([0,90*k,0,5]);

  subplot(2,1,2);
  plot(t,Ep,'b'); hold on
  title('Phonon Number for the Probe Oscillator','fontsize',[16]);
  ylabel('\langle N \rangle','fontsize',[14]);
  axis([0,90*k,0,2]);


figure(2);
  subplot(2,1,2);
  plot(t,Vr,'b'); hold on
  title('Phonon Number Variance for the Nano-mechanical Resonator','fontsize',[16]);
  xlabel('tk','fontsize',[14]);
  ylabel('xxx','fontsize',[14]);
  
%--------------------
% with thermal noise  
%-------------------- 

flname =  'emeas'; 

eval(['load sme/' flname '.dat']);
eval(['series = ' flname ';']);
eval(['clear ' flname]);

t = series(:,1)*k;
Er = series(:,3);
Ep = series(:,4);
Vr = series(:,5);
clear series

maxbin = 6;
bindens = 5;
[bins, support, et1] = binit3(Er,maxbin*bindens+1,maxbin);

figure(3);
  subplot(2,2,1);
  plot(t,Er,'b'); hold on
  title('Phonon Number','fontsize',[16]);
  set(gca,'ytick',[0:7]);
  set(gca,'xtick',[0:400:1200]);
  set(gca,'xticklabel',[]);
  ylabel('\langle N \rangle','fontsize',[14]);
  set(gca,'Position',get(gca,'Position') + [0 0 0.04 0]);
  axis([0,1600,0,7]);
  
  subplot(2,2,2);
  bar(support,bins,'b'); hold on
  title('Phonon Number Distribution','fontsize',[16]);
  set(gca,'xtick',[ 0:maxbin ]);
  set(gca,'xticklabel',[' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ']);
  set(gca,'ytick',[]);
  set(gca,'yticklabel',[' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ' ; ' ']);
  set(gca,'Position',get(gca,'Position') + [-0.04 0 0.04 0]);
  axis([0,4,0,max(bins)*1.15]);
  
  
  
  